Skip to main content
GET
/
api
/
v1
/
files
List Files
curl --request GET \
  --url https://worker.anon.com/api/v1/files \
  --header 'Authorization: Bearer <token>'
[
  {
    "object": "file",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "type": "CompanyInfo-EntityType-Screenshot",
    "url": "<string>",
    "size": 123,
    "content_type": "<string>",
    "migration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication

Query Parameters

migration_id
string<uuid>

Migration ID to list files for

migration_task_id
string<uuid>

Migration Task ID to list files for

Response

Success

object
enum<string>
required
Available options:
file
id
string<uuid>
required

Unique identifier for the file

created
string<date-time>
required

Timestamp when the file was created

name
string | null
required

Name of the file, unchanged from the source provider

type
enum<string> | null
required

Type of the file

Available options:
CompanyInfo-EntityType-Screenshot,
CompanyInfo-EntityType-HTML,
ContractorInfo-Details-CSV,
ContractorPayments-Report-CSV,
Deductions-Benefits-Screenshot,
Deductions-Benefits-HTML,
Deductions-Pay-HTML,
Deductions-Report-CSV,
Deductions-Report-Screenshot,
Deductions-Report-HTML,
DirectDeposit-Report-CSV,
EmployeeData-Report-CSV,
FederalTax-Setup-Screenshot,
FederalTax-Setup-HTML,
FederalTax-Document-PDF,
Location-Screenshot,
Location-HTML,
PayrollJournal-Report-CSV,
PTOData-Policy-Screenshot,
PTOData-Policy-HTML,
PTOData-Policy-XLSX,
SignatoryData-Screenshot,
SignatoryData-HTML,
Silver-EmployeeDetails-JSON,
Silver-EmployeeRoster-JSON,
Silver-Signatory-JSON,
Silver-Location-JSON,
Silver-ItemDetails-JSON,
Silver-EntityType-JSON,
Silver-FederalTax-PDF,
Silver-StateTax-PDF,
StateTax-Setup-Screenshot,
StateTax-Setup-HTML,
StateTax-Document-PDF,
TimeOffBalances-Report-CSV,
NavanConnect-Report-CSV,
Inventory-Report-XLSX,
ItemCatalogue-Details-CSV,
GiftCardBalances-Details-CSV,
TravelPerk-Report-CSV,
Bookings-Report-CSV,
Gold-EntityType-XLSX,
Gold-ItemDetails-XLSX,
Gold-EmployeeData-JSON,
ItemModifiers-Details-JSON,
Silver-ItemModifiers-JSON
url
string<uri>
required

Signed URL for the file

size
number
required

Size of the file in bytes

content_type
string
required

MIME type of the file

migration_id
string<uuid>
required

Unique identifier for the migration